<form class="form-inline" #ref=ngForm    (ngSubmit)="getItemId(ref.value)">
    <label for="num" class="mr-sm-2">Please Item Id</label>
    <input type="number" class="form-control mb-2 mr-sm-2" placeholder="Enter Item Id" id="num" name="item_id" ngModel>
    <button type="submit" class="btn btn-primary mb-2">Submit</button>
</form>

<div class="container" *ngIf="status">
    <h1 class="text-center text-info mt-4 out mb-4">discount of item  {{item.item_id}} is</h1>
    <div class="container">
        <table class="table table-striped">
            <thead class="thead-dark">
                <th>discount</th>
                <th>orders on discount</th>
            </thead>
            <tr *ngFor="let obj of discountDetails">
                <td>{{obj.discount}}</td>
                <td>{{obj.count}}</td>
            </tr>
        </table>
    </div>
</div>

